Skip to content

Mitigation IPs.

GET
/api/infraprotect/namespaces/{namespace}/infraprotect/mitigation/{mitigation_id}/ips
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/mitigation/example/ips \
--header 'Authorization: <Authorization>'

Returns list of IPs involved in a mitigation (and allows for searching through it)

Examples of this operation.

namespace
required
string

Namespace This request is supported only in system namespace.

mitigation_id
required
string

Mitigation ID ID of the mitigation we want to GET the IPs for.

A successful response.

Media typeapplication/json
Mitigation IPs response

List of mitigation Ips.

object
ips
IPs

List of IP addresses along with log count.

Array<object>
Mitigation IP record

A single mitigation IP record including log record count.

object
ip
IP

Mitigation source IP.

string
<= 1024 characters
log_count
Log count

Number of times the IP appears in the log.

string format: int64
<= 1024 characters
Examplegenerated
{
"ips": [
{
"ip": "example",
"log_count": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example